/* 
  Written by: Usman Ali Butt
  Dated     : 17 january 2019
  Property off: www.microcontroller-project.com
*/

//This code perfectly works with tanks who shape are rectangle or square.
//Replace the len with length of your tank and width with width of your tank

int len = 1;   //Length of tank
int width = 1; //Width of tank
int depth;     //depth of tank varied by quantity of water in tank

// The setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
}

// the loop routine runs over and over again forever:
void loop() {
 float Volume, X=0.00097, NewDepth;
depth= analogRead(A0); //Read the depth of water in tank
//See https://www.microcontroller-project.com for clarification
NewDepth=depth*X;  //Height of water changes only depth variable

Volume= NewDepth*len*width; //Volume of water in tank = length * width * depth
  Serial.println("Volume of water in tank:");
  Serial.print(Volume);     //Volume is in meter cube m3
}
