/* 
  Written by: Usman Ali Butt
  Dated     : 17 january 2019
  Property off: www.microcontroller-project.com
*/

// Arduino pins to copper wires are defined 
int Level1 = 2;
int Level2 = 3;
int Level3 = 4;

// The setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
  // make the pushbutton's pin an input:
  pinMode(Level1, INPUT);
  pinMode(Level2, INPUT);
  pinMode(Level3, INPUT);
}

// the loop routine runs over and over again forever:
void loop() {

  if(digitalRead(Level3)==LOW){
    Serial.println("Water reaches Level-3 Water Quantity= 900 Liters ");
  }
  else if(digitalRead(Level2)==LOW){
    Serial.println("Water reaches Level-2 Water Quantity= 600 Liters ");
  }
  else if(digitalRead(Level1)==LOW){
    Serial.println("Water reaches Level-1 Water Quantity= 300 Liters ");
  }
  else {
    Serial.println("Water at Dead level");
    }

}
